Returns a list of law firms
curl --request GET \
--url https://api.staging.scan.com/api/v2/law_firms \
--header 'Authorization: Bearer <token>'require 'uri'
require 'net/http'
url = URI("https://api.staging.scan.com/api/v2/law_firms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyimport requests
url = "https://api.staging.scan.com/api/v2/law_firms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.scan.com/api/v2/law_firms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.scan.com/api/v2/law_firms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.scan.com/api/v2/law_firms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"law_firms": [
{
"id": "11111111-1111-1111-1111-111111111111",
"name": "Smith & Jones Law",
"address_line_1": "123 Main St",
"address_line_2": "Suite 100",
"city": "Atlanta",
"state": "GA",
"zipcode": "30303"
},
{
"id": "11111111-1111-1111-1111-111111111112",
"name": "Johnson Injury Law",
"address_line_1": "456 Peachtree St",
"address_line_2": null,
"city": "Atlanta",
"state": "GA",
"zipcode": "30308"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 2
}
}Law Firms
Returns a list of law firms
Returns a paginated list of law firms matching the required search query. The query is matched against law firm name and associated user contact fields.
GET
/
api
/
v2
/
law_firms
Returns a list of law firms
Authorizations
Authorization: Bearer <api_token>. Sandbox tokens come from Get API keys
and allow 2,000 successful requests or 7 days. Failed 4xx/5xx responses do
not consume the allowance. Production tokens are issued from the group's
API access tab.
Query Parameters
Search term matched against law firm name and associated user contact fields
Page number
Number of law firms per page

